### Hierarchy

- BaseWebcomponent

## Index

### Constructors

- constructor

### Properties

- base

### Methods

- fetchJson

## Constructors

### constructor

- new BaseWebcomponent(): BaseWebcomponent

- - Defined in base/base-webcomponent.ts:6

  #### Returns BaseWebcomponent

## Properties

### base

base: BaseService

- Defined in base/base-webcomponent.ts:6

## Methods

### fetchJson

- fetchJson(url: string): Promise<any>

- - Defined in base/base-webcomponent.ts:12

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>